Message.Request (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Class Message.Request

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request

- Direct Known Subclasses:
    AuthResponse, BatchMessage, CredentialsMessage, ExecuteMessage, OptionsMessage, PrepareMessage, QueryMessage, RegisterMessage, StartupMessage
  Enclosing class:
    Message

      public abstract static class Message.Request
      extends Message

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `tracingRequested`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, forcedProtocolVersion, logger, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Request(Message.Type type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Message.Response` | `execute(QueryState queryState, long queryStartNanoTime)`
    `boolean` | `isTracingRequested()`
    `void` | `setTracingRequested()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tracingRequested

          protected boolean tracingRequested

  - ### Constructor Detail

    - #### Request

          protected Request(Message.Type type)

  - ### Method Detail

    - #### execute

          public abstract Message.Response execute(QueryState queryState,
                                                   long queryStartNanoTime)

    - #### setTracingRequested

          public void setTracingRequested()

    - #### isTracingRequested

          public boolean isTracingRequested()

Copyright © 2018 The Apache Software Foundation